Subject: Re: bug#14030: 24.3; expand-file-name expands remote file name on Windows incorrectly

From: Stefan Monnier <[email-masked]>
Date: Mon, 25 Mar 2013 20:23:41 -0400

>> So your alias to `identity' is optimized just like `identity', IOW it's
>> compiled away.
> Can the optimizer be taught not to optimize like that if the condition
> includes one of a list of known symbols?

The byte-compiler does not look at the `defalias' expression, only at
the resulting value of (symbol-function 'tramp-drop-volume-letter), so
it would require significant changes to be able to keep track of the
corresponding info.  Also, `defalias' is a function, so by the time it
is called it has no idea what expression was computed to get the
function definition.

        Stefan